version: "3.8"

services:
  crawler-agent:
    image: crawler-agent
    build: 
      context: ./
      dockerfile: Dockerfile
    ports:
      - "5082:5082"
    env_file:
      - .env
    environment:
      - SERVER_TIMEOUT_MS=${SERVER_TIMEOUT_MS}
      - CRAWLER_MIN_CONCURRENCY=${CRAWLER_MIN_CONCURRENCY}
      - CRAWLER_MAX_CONCURRENCY=${CRAWLER_MAX_CONCURRENCY}
      - CRAWLER_MAX_REQ_PER_MIN=${CRAWLER_MAX_REQ_PER_MIN}
      - CRAWLER_MAX_REQ_RETRIES=${CRAWLER_MAX_REQ_RETRIES}
      - CRAWLER_MAX_REQ_PER_CRAWL=${CRAWLER_MAX_REQ_PER_CRAWL}
      - PRETRANSLATION_DELAY_MS=${PRETRANSLATION_DELAY_MS}
      - PRETRANSLATION_TIMEOUT_S=${PRETRANSLATION_TIMEOUT_S}